Subject: Re: rfkill-input to be removed

From: Marco Chiappero <[email-masked]>
Date: Thu, 21 Apr 2011 18:45:32 +0200

Il 21/04/2011 18:22, Johannes Berg ha scritto:
> Yeah we noticed this before with some other drivers. The persistent
> stuff seems to only be suitable for a small number of semantics.

Sorry, what do you mean exactly? The persistent stuff seems to work well 
with those notebooks.

> Frankly, I don't think we're ready for this yet, most distros don't yet
> ship the rfkill daemon.

Ok, in the meantime I'm going to avoid the SW_RFKILL_ALL switch event 
forwarding, unless the master_switch_mode=1 is going to be changed to 
honor the stored power state on drivers loading as well, not only when 
moving the "kill all" switch (it seems that on boot every device is 
always turned on, which is very annoying).